> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Wallet Card List



## OpenAPI

````yaml openapi.json get /card/wallet
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /card/wallet:
    parameters: []
    get:
      tags:
        - Card
      summary: Wallet Card List
      parameters:
        - name: page
          in: query
          required: false
          example: '1'
          schema:
            type: integer
        - name: size
          in: query
          required: false
          example: '50'
          schema:
            type: integer
        - name: status
          in: query
          required: false
          description: PENDING,  ACCEPTED, DECLINED
          example: PENDING
          schema:
            type: string
        - name: type
          in: query
          required: false
          description: PHYSICAL, VIRTUAL
          example: PHYSICAL
          schema:
            type: string
        - name: startDate
          in: query
          required: false
          example: '2025-07-08'
          schema:
            type: integer
        - name: endDate
          in: query
          required: false
          example: '2025-07-09'
          schema:
            type: integer
        - name: walletId
          in: query
          required: false
          example: hello
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
            example: {}
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: >-
                Pragma,Expires,x-pub-key,Content-Type,Authorization,Cache-Control,X-Login-Token,X-Access-Token,Content-Language,X-Partner-Access-Token,ngrok-skip-browser-warning
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '371'
            ETag:
              schema:
                type: string
              example: W/"173-JxA2MPJfUpInk1i0gTzprHxPvlQ"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Fri, 11 Jul 2025 12:03:37 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: Wallet Card List - Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      size:
                        type: integer
                      page:
                        type: integer
                      totalRecords:
                        type: integer
                      totalPages:
                        type: integer
                      cards:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            status:
                              type: string
                            type:
                              type: string
                            cardholder:
                              type: string
                            expirationDate:
                              type: string
                              format: utc-millisec
                            createdAt:
                              type: string
                              format: date-time
                            merchant:
                              type: object
                              properties:
                                id:
                                  type: string
                                businessName:
                                  type: string
              example:
                status: true
                message: Operation is successful
                data:
                  size: 50
                  page: 1
                  totalRecords: 1
                  totalPages: 1
                  cards:
                    - id: b817bf01-a671-40bb-a27c-73160692f0e8
                      status: ACTIVE
                      type: PHYSICAL
                      cardholder: Tomato
                      expirationDate: '3007'
                      createdAt: '2025-07-09T18:07:15.854Z'
                      merchant:
                        id: 3aed8fe9-2c60-48fe-bea4-71ea8c8f3c84
                        businessName: Kimpembe
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````